Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 269114 - [PATCH] media-video/avidemux-2.4.4-r1 fails to compile with gcc-4.4
Summary: [PATCH] media-video/avidemux-2.4.4-r1 fails to compile with gcc-4.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-05-09 11:50 UTC by Martin Väth
Modified: 2009-05-15 21:14 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Fix gcc-4.4 compilation (also for USE=qt4) (avidemux-2.4.4-gcc-4.4.patch,3.85 KB, patch)
2009-05-09 11:58 UTC, Martin Väth
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Väth 2009-05-09 11:50:37 UTC
For gcc-4.4 a patch is needed, see
http://bugs.avidemux.org/index.php?do=details&task_id=592&project=2&pagenum=3
Even with the patch mentioned here, compilation with USE=qt4 fails with gcc-4.4.
The appended patch extends the above patch so that also USE=qt4 works.
Comment 1 Martin Väth 2009-05-09 11:58:08 UTC
Created attachment 190759 [details, diff]
Fix gcc-4.4 compilation (also for USE=qt4)

Note that the attached patch contains (i.e. replaces) the patch referenced above.
Comment 2 Florian GYS 2009-05-11 19:14:25 UTC
Same here: it doesn't compile with gcc 4.4.

I confirm patch is working.

Please add this patch to portage.
Comment 3 Rob 2009-05-12 02:52:45 UTC
I can also confirm this patch works.
Comment 4 Ben de Groot (RETIRED) gentoo-dev 2009-05-15 21:14:13 UTC
Added the patch. Thanks for your contribution!